<%@ Control Language="C#" AutoEventWireup="true" CodeFile="GridControl.ascx.cs" Inherits="GridControl" EnableViewState="true" EnableTheming="true" %>
<asp:Table runat="server" CellSpacing="0" CellPadding="0" ID="crmGrid" Style="table-layout:fixed;width:100%;height:100%;">
	<asp:TableRow>
		<asp:TableCell>
		    <asp:HiddenField ID="hdnSelectedIndices" runat="server" />
		    <asp:HiddenField ID="hdnControlStyles" runat="server" />
			<asp:HiddenField ID="hdnItemsExpanded" runat="server" />
			<asp:Panel ID="pnlMain" runat="server" style="height: 99.9%;">
				<table cellspacing="0" cellpadding="0" style="table-layout:fixed;width:100%;height:100%;">
					<tr>
						<td>
							<asp:Panel ID="pnlHeader" runat="server" style="width: 100%; overflow-x: hidden">
								<asp:Table ID="headerTable" runat="server" style="display:none;table-layout:fixed" CellPadding="0" CellSpacing="0" EnableViewState="false">
								</asp:Table>
							</asp:Panel>
						</td>
					</tr>
					<tr height="100%" valign="top">
						<td>
							<asp:Panel ID="pnlGridArea" runat="server" style="overflow: auto; width: 100%; height: 100%; background-color: #ffffff">
                                <asp:DataGrid ID="innerGrid" runat="server" GridLines="None" EnableViewState="false" HeaderStyle-Wrap="false" FooterStyle-Wrap="false" ItemStyle-Wrap="false" ShowHeader="true" BorderStyle="None" CellPadding="0" CellSpacing="0" AllowSorting="true" OnSortCommand="gridInner_SortCommand" OnItemDataBound="gridInner_ItemDataBound" OnItemCreated="gridInner_ItemCreated">
								    <Columns>
										<asp:TemplateColumn HeaderStyle-Width="28px" ItemStyle-Width="28px" SortExpression="!">
											<ItemTemplate>
												<input id="chkSelectRow" runat="server" type="checkbox" style="border:none"/>
											</ItemTemplate>
										</asp:TemplateColumn>
									</Columns>
								</asp:DataGrid>
							</asp:Panel>
						</td>
					</tr>
				</table>
			</asp:Panel>
		</asp:TableCell>
	</asp:TableRow>
	<asp:TableRow runat="server" ID="statusBarRow" Height="22px">
		<asp:TableCell>
	        <asp:Table ID="statusTable" runat="server" CellPadding="0" CellSpacing="0" Width="100%" Height="22px">
					<asp:TableRow>
						<asp:TableCell ID="selectionInfo" Wrap="false" HorizontalAlign="Left">
							<asp:Panel ID="pnlSelectInfo" runat="server" Width="100%">
								<asp:Label ID="lblSelectionInfo" runat="server" Text=""></asp:Label>
							</asp:Panel>
						</asp:TableCell>
						<asp:TableCell runat="server" ID="pageInfo" Wrap="false" HorizontalAlign="Right">
							<asp:ImageButton ID="firstPage" CssClass="toolbarbutton" style="cursor:hand" runat="server" align="absMiddle" OnClick="firstPage_Click"/>
							<asp:ImageButton ID="prevPage" runat="server" align="absMiddle" CssClass="toolbarbutton" style="cursor:hand"
								hspace="6" OnClick="prevPage_Click"/>
							<asp:Label ID="lblPageInfo" runat="server" Text="Page 1"/>
							<asp:ImageButton ID="nextPage" runat="server" align="absMiddle" CssClass="toolbarbutton" style="cursor:hand"
								hspace="6" OnClick="nextPage_Click" />
						</asp:TableCell>
					</asp:TableRow>
			</asp:Table>
		</asp:TableCell>
	</asp:TableRow>
</asp:Table>